Commit b9d5e9d6 authored by Victor Yacovlev's avatar Victor Yacovlev

Deps fix

parent 720b9bba
......@@ -4,7 +4,7 @@ include(CMakeParseArguments)
set(MINIMUM_QT5_VERSION 5.3.0)
if(DEFINED KUMIR2_DISABLED_SUBDIRS)
message(STATUS "Explicitly disabled subdirs: ${KUMIR2_DISABLED_SUBDIRS}")
# message(STATUS "Explicitly disabled subdirs: ${KUMIR2_DISABLED_SUBDIRS}")
else()
execute_process(
COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_SOURCE_DIR}/scripts/query_version_info.py" "--mode=cmake_disabled_modules"
......
......@@ -25,15 +25,15 @@
],
"requires": [
"libQt5Core.so.5(Qt_5.3)",
"libQt5Gui.so.5(Qt_5.3)",
"libQt5Widgets.so.5(Qt_5.3)",
"libQt5Svg.so.5(Qt_5.3)",
"libQt5Xml.so.5(Qt_5.3)",
"libQt5Network.so.5(Qt_5.3)",
"libQt5PrintSupport.so.5(Qt_5.3)",
"libQt5WebKit.so.5(Qt_5.3)",
"libQt5X11Extras.so.5(Qt_5.3)"
"libQt5Core5 >= 5.3.0",
"libQt5Gui5 >= 5.3.0",
"libQt5Widgets5 >= 5.3.0",
"libQt5Svg5 >= 5.3.0",
"libQt5Xml5 >= 5.3.0",
"libQt5Network5 >= 5.3.0",
"libQt5PrintSupport5 >= 5.3.0",
"libQt5WebKit5 >= 5.3.0",
"libQt5X11Extras5 >= 5.3.0"
],
"rpmGroup": "Productivity/Scientific/Other",
......
......@@ -18,7 +18,7 @@ URL: http://www.niisi.ru/kumir/
Packager: $packager
Source: $source
Requires: $kumirLibsPackageName = %version
Requires: /usr/bin/gtk-update-icon-cahce
Requires: /usr/bin/gtk-update-icon-cache
Requires: /usr/bin/xdg-mime
Conflicts: $mainPackageConflictName
$buildRequiresList
......@@ -71,11 +71,11 @@ $dataDir/icons/hicolor/*/mimetypes/*
$dataDir/mime/packages/kumir2-mimetypes.xml
%post -p /sbin/ldconfig
%post
/bin/touch --no-create $dataDir/icons/hicolor/ &>/dev/null || :
xdg-menu install $dataDir/mime/packages/kumir2-mimetypes.xml || true
%postun -p /sbin/ldconfig
%postun
if [ $1 -eq 0 ] ; then
/bin/touch --no-create $dataDir/icons/hicolor/ &>/dev/null
/usr/bin/gtk-update-icon-cache -f $dataDir/icons/hicolor/ &>/dev/null || :
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment